/* ubee512 Header */

#ifndef HEADER_UBEE512_H
#define HEADER_UBEE512_H

#include "SDL.h"

//==============================================================================
// Compile time options,  these are normally only changed for testing purposes.
//==============================================================================
// define this to emulate an alpha+ (Premium) graphics model.
#define	use_alpha_p

// define this for a 512KB DRAM model.  If not defined then 128KB DRAM model.
#define use_dram512

// !!!!!! TO BE REMOVED
// define this to use the prepended/appened disk image records.  If not defined
// then the original nanowasp format will be used.
//#define use_imagerec

// !!!!!! TO BE REMOVED
// define to use the DISK-IMAGE-PLUS images.  If not defined then uses an
// earlier in-house test image format.
//#define use_diskimageplus

// Microbee default XTAL speed (else 2MHz)
#define XTAL3375

// define this to debug DRAM banked memory (fills banks with numbers on init)
// The Microbee built in monitor can be used to check banks i.e:
// Select bank with ROMs disabled:
// >O 50 4, <-- (5,6,7, 44, 45, 46, 47, 84, 85, 86, 87, C4, C5, C6, C7)
// Examine memory:
// >E 8000 will show both lower and upper DRAM banks
//#define use_dramdebug

// define this to have Premium cursor keys on UP, DOWN, LEFT and RIGHT keys.
// if not defined then these are on the function keys.
#define use_cursorkeys

// define the following debug options to report on ports on stdout
//#define use_debug_memmap_mode
//#define use_debug_vdu_colcont_r
//#define use_debug_vdu_colcont_w
//#define use_debug_vdu_lvdat_r
//#define use_debug_vdu_lvdat_w
//#define use_debug_vdu_latchrom

//#define use_debug_disk_read_abort

//#define use_debug_getkeystate_shift
//#define use_debug_getkeystate_lower

// define the following options to be reported to stdout
#define use_info_disk_open
//#define use_info_disk_read

#endif /* HEADER_UBEE512_H */
